Loading...
Searching...
No Matches
Opm::EclIO::OutputStream::RFT Class Reference

File manager for RFT output streams. More...

`#include <OutputStream.hpp>`

## Classes

struct | OpenExisting

## Public Member Functions

| RFT (const ResultSet &rset, const Formatted &fmt, const OpenExisting &existing)
| Constructor.
| RFT (const RFT &rhs)=delete
| RFT (RFT &&rhs)
RFT & | operator= (const RFT &rhs)=delete
RFT & | operator= (RFT &&rhs)
void | write (const std::string &kw, const std::vector< int > &data)
| Write integer data to underlying output stream.
void | write (const std::string &kw, const std::vector< float > &data)
| Write single precision floating point data to underlying output stream.
void | write (const std::string &kw, const std::vector< PaddedOutputString< 8 > > &data)
| Write padded character data (8 characters per string) to underlying output stream.

## Detailed Description

File manager for RFT output streams.

## Constructor & Destructor Documentation

## RFT()

Opm::EclIO::OutputStream::RFT::RFT | ( | const ResultSet & | rset,
|  | const Formatted & | fmt,
|  | const OpenExisting & | existing )

explicit

Constructor.

Opens file stream for writing.

Parameters

  [in] | rset | Output directory and base name of output stream.
  [in] | fmt | Whether or not to create formatted output files.
  [in] | existing | Whether or not to open an existing output file.

## Member Function Documentation

## write() [1/3]

void Opm::EclIO::OutputStream::RFT::write | ( | const std::string & | kw,
|  | const std::vector< float > & | data )

Write single precision floating point data to underlying output stream.

Parameters

  [in] | kw | Name of output vector (keyword).
  [in] | data | Output values.

## write() [2/3]

void Opm::EclIO::OutputStream::RFT::write | ( | const std::string & | kw,
|  | const std::vector< int > & | data )

Write integer data to underlying output stream.

Parameters

  [in] | kw | Name of output vector (keyword).
  [in] | data | Output values.

## write() [3/3]

void Opm::EclIO::OutputStream::RFT::write | ( | const std::string & | kw,
|  | const std::vector< PaddedOutputString< 8 > > & | data )

Write padded character data (8 characters per string) to underlying output stream.

Parameters

  [in] | kw | Name of output vector (keyword).
  [in] | data | Output values.

The documentation for this class was generated from the following files:

- opm/io/eclipse/OutputStream.hpp
- opm/io/eclipse/OutputStream.cpp